<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SysResourceMenuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.SysResourceMenuEntity">
        <id column="id" property="id" />
        <result column="resource_code" property="resourceCode" />
        <result column="resource_name" property="resourceName" />
        <result column="menu_id" property="menuId" />
        <result column="menu_name" property="menuName" />
        <result column="menu_code" property="menuCode" />
        <result column="parent_id" property="parentId" />
        <result column="permission_type" property="permissionType" />
        <result column="bind_data" property="bindData" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, resource_code, resource_name, menu_id, menu_name,bind_data, menu_code, parent_id, permission_type,update_time,resource_url, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
